﻿@model FERZid.Models.Komponenta

@{
    ViewData["Title"] = "Create";
}

<h2>Create</h2>

<form asp-action="Create">
    <div class="form-horizontal">
        <h4>Komponenta</h4>
        <hr />
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <div class="form-group">
            <label asp-for="IdtipKomponente" class="col-md-2 control-label">Tip</label>
            <div class="col-md-10">
                <select asp-for="IdtipKomponente" class ="form-control" asp-items="ViewBag.IdtipKomponente"></select>
                <a asp-controller="TipKomponente" asp-action="Create">Dodaj tip</a>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Iduredaja" class="col-md-2 control-label">Pripada uređaju</label>
            <div class="col-md-10">
                <select asp-for="Iduredaja" class ="form-control" asp-items="ViewBag.Iduredaja"></select>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Stvori" class="btn btn-default" />
            </div>
        </div>
    </div>
</form>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
